Qt 5.6 | Qt 3D | C++ Classes | QMouseController

Qt 5.6.3 Reference Documentation

# QMouseController Class

(Qt3DInput::QMouseController)

QMouseController is in charge of dispatching mouse events to attached QMouseInput objects. More...

Header: | #include <QMouseController>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | MouseController
Inherits: | Qt3DInput::QAbstractPhysicalDevice

- List of all members, including inherited members

## Public Types

enum | Axis { X, Y }
enum | Button { Left, Center, Right }

## Properties

- sensitivity : float

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QMouseController(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QMouseController()
float | sensitivity() const

## Reimplemented Public Functions

virtual int | axisCount() const
virtual int | axisIdentifier(const QString &name) const
virtual QStringList | axisNames() const
virtual int | buttonCount() const
virtual int | buttonIdentifier(const QString &name) const
virtual QStringList | buttonNames() const

- 9 public functions inherited from Qt3DInput::QAbstractPhysicalDevice
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSensitivity(float value)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | sensitivityChanged(float value)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QMouseController(QMouseControllerPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)
void | sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)

- 1 protected function inherited from Qt3DInput::QAbstractPhysicalDevice
- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

QMouseController is in charge of dispatching mouse events to attached QMouseInput objects.

See also QMouseInput.

## Member Type Documentation

### enum QMouseController::Axis

### enum QMouseController::Button

## Property Documentation

### sensitivity : float

Access functions:

float | sensitivity() const
void | setSensitivity(float value)

Notifier signal:

void | sensitivityChanged(float value)

## Member Function Documentation

### QMouseController::QMouseController(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QMouseController.

### `[protected]` QMouseController::QMouseController(QMouseControllerPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QMouseController::~QMouseController()

Destroys this QMouseController object.

### `[virtual]` int QMouseController::axisCount() const

### `[virtual]` int QMouseController::axisIdentifier(const QString &name) const

### `[virtual]` QStringList QMouseController::axisNames() const

### `[virtual]` int QMouseController::buttonCount() const

### `[virtual]` int QMouseController::buttonIdentifier(const QString &name) const

### `[virtual]` QStringList QMouseController::buttonNames() const

### `[protected]` void QMouseController::copy(const Qt3DCore::QNode *ref)

### `[protected]` void QMouseController::sceneChangeEvent(const Qt3DCore::QSceneChangePtr &change)